Bug 191893 - system-config-keyboard don't open in graphical mode
system-config-keyboard don't open in graphical mode
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 07:22 EDT by Yan Morin
Modified: 2009-01-07 13:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 16:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Morin 2006-05-16 07:22:21 EDT
Description of problem:
The system-config-keyboard doesn't open in graphical mode

Version-Release number of selected component (if applicable):
system-config-keyboard -v and system-config-keyboard --version doesn't return
anything (python error)

How reproducible: always

Steps to Reproduce:
1. open a terminal
2. system-config-keyboard
3. enter root password
  
Actual results:
"Échec lors du lancement du mode graphique. Lancement du mode texte."
(Means: Failure to open in graphical mode)

Expected results:
Open the graphical mode to select my keyboard : CAN/CSA Z243.200-92
http://www.oqlf.gouv.qc.ca/images/ti/clavier.gif
http://www.oqlf.gouv.qc.ca/ressources/ti/clavier.html
Console: http://www.oqlf.gouv.qc.ca/ressources/ti/Pilote_cn-latin1_ModeConsole1.txt
Graphical: http://www.oqlf.gouv.qc.ca/ressources/ti/Pilote_xkb_ModeGraphique1.txt

Additional info:
Note that oqlf.gouv.qc.ca is a governement website.
Comment 1 sangu 2006-10-03 12:33:37 EDT
This problem happens in rawhide(20061004), too.
$] system-config-keyboard
Starting graphical mode failed.  Starting text mode instead.

system-config-keyboard-1.2.8-1.
Comment 2 Yannick Palanque 2007-01-06 20:38:57 EST
I have this problem with FC6.
system-config-keyboard-1.2.10-2

When I try to run it:

$ system-config-keyboard
Échec lors du lancement du mode graphique. Lancement du mode texte.
Loading /lib/kbd/keymaps/i386/azerty/fr-latin9.map.gz
assuming iso-8859-1 cedilla
assuming iso-8859-1 acute
assuming iso-8859-1 diaeresis
assuming iso-8859-1 brokenbar
assuming iso-8859-1 threequarters
assuming iso-8859-1 currency
assuming iso-8859-1 onehalf
assuming iso-8859-1 onequarter


Text mode works.
When I try to launch it from GNOME I have the dialog box asking for root
password but nothing more.

I have no AVC with SELinux (enforced mode).

$ uname -a
Linux athlon1600 2.6.18-1.2869.fc6 #1 SMP Wed Dec 20 14:51:46 EST 2006 i686
athlon i386 GNU/Linux

If it mays help (another bug?):

$ system-config-keyboard --version
Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 54, in ?
    ["noui", "text", "help"])
  File "/usr/lib/python2.4/getopt.py", line 89, in getopt
    opts, args = do_longs(opts, args[0][2:], longopts, args[1:])
  File "/usr/lib/python2.4/getopt.py", line 153, in do_longs
    has_arg, opt = long_has_args(opt, longopts)
  File "/usr/lib/python2.4/getopt.py", line 170, in long_has_args
    raise GetoptError('option --%s not recognized' % opt, opt)
getopt.GetoptError: option --version not recognized

$ system-config-keyboard -v
Traceback (most recent call last):
  File "/usr/share/system-config-keyboard/system-config-keyboard.py", line 54, in ?
    ["noui", "text", "help"])
  File "/usr/lib/python2.4/getopt.py", line 91, in getopt
    opts, args = do_shorts(opts, args[0][1:], shortopts, args[1:])
  File "/usr/lib/python2.4/getopt.py", line 191, in do_shorts
    if short_has_arg(opt, shortopts):
  File "/usr/lib/python2.4/getopt.py", line 207, in short_has_arg
    raise GetoptError('option -%s not recognized' % opt, opt)
getopt.GetoptError: option -v not recognized


All others system-config-* work.
Comment 3 Red Hat Bugzilla 2007-08-21 01:23:56 EDT
User pnasrat@redhat.com's account has been closed
Comment 4 Bug Zapper 2008-04-03 22:53:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Lubomir Kundrak 2008-04-11 16:34:32 EDT
It works for me.
And the second thingie is not a bug -- it clearly states:
getopt.GetoptError: option --version not recognized

Note You need to log in before you can comment on or make changes to this bug.